Bug 1096597 (CVE-2014-0210) - CVE-2014-0210 libXfont: unvalidated length fields when parsing xfs protocol replies
Summary: CVE-2014-0210 libXfont: unvalidated length fields when parsing xfs protocol r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0210
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1097397 1163601 1163602 1163603 1163604 1165521
Blocks: 1096603
TreeView+ depends on / blocked
 
Reported: 2014-05-12 06:33 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 06:34 UTC (History)
6 users (show)

Fixed In Version: libXfont 1.4.8, libXfont 1.4.99.901 (1.5.0rc1)
Doc Type: Bug Fix
Doc Text:
Multiple out-of-bounds write flaws were found in the way libXfont parsed replies received from an X.org font server. A malicious X.org server could cause an X client to crash or, possibly, execute arbitrary code with the privileges of the X.Org server.
Clone Of:
Environment:
Last Closed: 2014-11-25 07:46:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1870 0 normal SHIPPED_LIVE Important: libXfont security update 2014-11-18 16:41:52 UTC
Red Hat Product Errata RHSA-2014:1893 0 normal SHIPPED_LIVE Important: libXfont security update 2014-11-25 01:57:06 UTC

Description Huzaifa S. Sidhpurwala 2014-05-12 06:33:38 UTC
When parsing replies received from the font server, these calls do not check that the lengths and/or indexes returned by the font server are within the size of the reply or the bounds of the memory allocated to store the data, so could write past the bounds of allocated memory when storing the returned data.

Affected functions: _fs_recv_conn_setup(), fs_read_open_font(),
fs_read_query_info(), fs_read_extent_info(), fs_read_glyphs(),
fs_read_list(), fs_read_list_info() 

Acknowledgements:

Red Hat would like to thank the X.org project for reporting this issue. Upstream acknowledges Ilja van Sprundel as the original reporter of this issue.

Comment 2 Vincent Danen 2014-05-13 17:44:32 UTC
Created libXfont tracking bugs for this issue:

Affects: fedora-all [bug 1097397]

Comment 3 Vincent Danen 2014-05-27 18:11:31 UTC
Statement:

(none)

Comment 4 Fedora Update System 2014-07-16 02:01:08 UTC
libXfont-1.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-07-23 03:01:30 UTC
libXfont-1.4.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-11-18 11:42:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1870 https://rhn.redhat.com/errata/RHSA-2014-1870.html

Comment 10 Martin Prpič 2014-11-19 08:18:05 UTC
IssueDescription:

Multiple out-of-bounds write flaws were found in the way libXfont parsed replies received from an X.org font server. A malicious X.org server could cause an X client to crash or, possibly, execute arbitrary code with the privileges of the X.Org server.

Comment 11 errata-xmlrpc 2014-11-24 20:57:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1893 https://rhn.redhat.com/errata/RHSA-2014-1893.html


Note You need to log in before you can comment on or make changes to this bug.